loci.formats.codec

## Class ByteVector

- java.lang.Object
- - loci.formats.codec.ByteVector

-     public class ByteVector
      extends java.lang.Object

  A growable array of bytes.
  Author:
    Wayne Rasband wsr at nih.gov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ome.codecs.ByteVector` | `vector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteVector()`
    `ByteVector(byte[] byteBuffer)`
    `ByteVector(int initialSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(byte x)`
    `void` | `add(byte[] array)`
    `void` | `add(byte[] array, int off, int len)`
    `void` | `clear()`
    `(package private) void` | `doubleCapacity()`
    `byte` | `get(int index)`
    `(package private) ome.codecs.ByteVector` | `getWrapped()`
    `int` | `size()`
    `byte[]` | `toByteArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vector

          private ome.codecs.ByteVector vector

  - ### Constructor Detail

    - #### ByteVector

          public ByteVector()

    - #### ByteVector

          public ByteVector(int initialSize)

    - #### ByteVector

          public ByteVector(byte[] byteBuffer)

  - ### Method Detail

    - #### add

          public void add(byte x)

    - #### size

          public int size()

    - #### get

          public byte get(int index)

    - #### add

          public void add(byte[] array)

    - #### add

          public void add(byte[] array,
                          int off,
                          int len)

    - #### doubleCapacity

          void doubleCapacity()

    - #### clear

          public void clear()

    - #### toByteArray

          public byte[] toByteArray()

    - #### getWrapped

          ome.codecs.ByteVector getWrapped()

Copyright © 2026 Open Microscopy Environment